Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jxml.qare.qhome.userGroups
Class CreateUserGroupsTemplate

    java.lang.Object
      |
      +--com.jxml.qare.qhome.Template
            |
            +--com.jxml.qare.qhome.userGroups.CreateUserGroupsTemplate

All Implemented Interfaces:
  Item

public class CreateUserGroupsTemplate
extends Template

Fields inherited from class com.jxml.qare.qhome.Template
`E, EV, properties`

Constructor Summary
`CreateUserGroupsTemplate()`

Method Summary
`void` | `eval(Map properties, List args, ClassLoader cl)` Evaluates the properties with the list of argumants
`String` | `process(String arg)`

Methods inherited from class com.jxml.qare.qhome.Template
`check, content, cvt, expand, expandProperty, expandURL, init, markup, readURL, redirectToAppDir, redirectToDelegationDisplay, redirectToDelegationDisplayUG, redirectToLogin, redirectToRemoteAccountDisplay`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CreateUserGroupsTemplate

    public CreateUserGroupsTemplate()

Method Detail

### eval

    public void eval(Map properties,
                     List args,
                     ClassLoader cl)
              throws Exception

  Description copied from class: `Template`
  Evaluates the properties with the list of argumants
  Overrides:
    `eval` in class `Template`
  Following copied from class: `com.jxml.qare.qhome.Template`
  Parameters:
    `properties` - Contains the data in the form of name,value pair.
    `args` - Template name present in properties.
    `cl` - class to be loaded for individual plugins.

### process

    public String process(String arg)
                   throws Exception

  Overrides:
    `process` in class `Template`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD